curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/assist' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "string",
"content": "Two-person tent, green — replacement for damaged pole set."
}
],
"provider": "string",
"model": "string",
"base_config": {}
}'
{
"reply": "string",
"changes": [
"string"
],
"changed": true,
"proposed_config": {},
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
]
}
}
Config assist
Copilot reply, optionally with a proposed config and its validation summary.
POST
/
v1
/
brands
/
{brand_id}
/
config
/
assist
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/assist' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "string",
"content": "Two-person tent, green — replacement for damaged pole set."
}
],
"provider": "string",
"model": "string",
"base_config": {}
}'
{
"reply": "string",
"changes": [
"string"
],
"changed": true,
"proposed_config": {},
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
]
}
}
Path parameters
string (uuid)
required
Request body
object
object[]
required
string
string
object
Response
object
string
required
string[]
required
boolean
required
object
Status codes
| Code | Meaning |
|---|---|
200 | Copilot reply, optionally with a proposed config and its validation summary. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/assist' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "string",
"content": "Two-person tent, green — replacement for damaged pole set."
}
],
"provider": "string",
"model": "string",
"base_config": {}
}'
{
"reply": "string",
"changes": [
"string"
],
"changed": true,
"proposed_config": {},
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
]
}
}
Last modified on August 31, 2026